Subject: bug#53509: closed (Re: bug#53509: Compilation failure of 27.2 on ppc64le)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 06 Sep 2023 01:57:02 +0000

Your bug report

#53509: Compilation failure of 27.2 on ppc64le

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53509: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=53509
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53509: Compilation failure of 27.2 on ppc64le
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Scott Talbert <[email-masked]>
Date: Tue, 5 Sep 2023 18:56:48 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> Yep, 28.0.91 appears to build fine on ppc64le with GCC 12.  Any idea what
>> commit fixed it, or do I need to bisect?  :)
>
> Sorry, no idea, but I'd start by comparing the Gnulib files involved
> in this.

It seems like the issue here has been resolved, so I'm closing this bug.

Subject: Compilation failure of 27.2 on ppc64le
From: Scott Talbert <[email-masked]>
To: [email-masked]
Date: Mon, 24 Jan 2022 12:11:23 -0500 (EST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Fedora, we're seeing a compile error when compiling 27.2 on ppc64le 
architecture.  Log excerpt below, full log at [1]:

   CC       regex.o
In file included from /usr/include/stdio.h:899,
                  from ./stdio.h:43,
                  from ../../lib/regex_internal.h:24,
                  from ../../lib/regex.c:68:
/usr/include/bits/stdio-ldbl.h: In function '__LDBL_REDIR1_DECL':
/usr/include/bits/stdio-ldbl.h:36:1: error: expected declaration 
specifiers before '__LDBL_REDIR1_DECL'
    36 | __LDBL_REDIR1_DECL (scanf, __isoc99_scanfieee128)
       | ^~~~~~~~~~~~~~~~~~
In file included from /usr/include/features.h:488,
                  from /usr/include/errno.h:25,
                  from ../../lib/libc-config.h:39,
                  from ../../lib/regex.c:21:
/usr/include/bits/stdio-ldbl.h:86:1: error: storage class specified for 
parameter '__sprintf_chk'
    86 | __LDBL_REDIR2_DECL (sprintf_chk)
       | ^~~~~~~~~~~~~~~~~~
/usr/include/bits/stdio-ldbl.h:87:1: error: storage class specified for 
parameter '__vsprintf_chk'
    87 | __LDBL_REDIR2_DECL (vsprintf_chk)
       | ^~~~~~~~~~~~~~~~~~
/usr/include/bits/stdio-ldbl.h:89:1: error: storage class specified for 
parameter '__snprintf_chk'
    89 | __LDBL_REDIR2_DECL (snprintf_chk)
       | ^~~~~~~~~~~~~~~~~~
/usr/include/bits/stdio-ldbl.h:90:1: error: storage class specified for 
parameter '__vsnprintf_chk'
    90 | __LDBL_REDIR2_DECL (vsnprintf_chk)
       | ^~~~~~~~~~~~~~~~~~

Possibly related to 128-bit long double?  gnulib out of sync with glibc?

[1] https://kojipkgs.fedoraproject.org//work/tasks/1829/81671829/build.log

Thanks,
Scott